/* SAS/C compatibility

This function returns the fully specified path string for the directory
and/or file referenced by the lock. The path argument includes the volume
name. The destination buffer must be large enought to contain the string.

If the getpath function is successful, it returns 0; otherwise, it returns -1. 
*/

#include <proto/dos.h>
#include <stdio.h>

int getpath(BPTR lock, char *path)
{
    if (!NameFromLock(lock, path, BUFSIZ))
        return -1;
    return 0;
}
